### Method

# Goa Account complete_ensure_credentials

#### Declaration [src]

    void
    goa_account_complete_ensure_credentials (
      GoaAccount* object,
      GDBusMethodInvocation* invocation,
      gint expires_in
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the EnsureCredentials() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`expires_in`

  Type: `gint`

  Parameter to return.